\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage{lmodern}

\usepackage{geometry} 
\usepackage{graphicx}
\usepackage[ngerman]{babel}
\usepackage{listings}
\usepackage{xcolor}
\usepackage{subfiles}
\usepackage{enumitem}
\usepackage{titlesec}
\usepackage{multicol}	
\usepackage{amsfonts} 
\usepackage{amsmath}

% compact items
\setlength{\parindent}{0cm}
\setlength{\columnseprule}{2pt}

\graphicspath{ {images/} }
\geometry{top=0.25cm,left=0.25cm,right=0.25cm,bottom=0.25cm} 

\newcommand{\SubItem}[1]{
	{\setlength\itemindent{15pt} \item[-] #1}
}

\definecolor{lightgreen}{RGB}{179, 225, 172}
\definecolor{green}{RGB}{65, 163, 23}
\definecolor{darkgreen}{RGB}{4, 99, 7}
 
\titleformat{\section}[block]
	{\normalfont\LARGE\bfseries}
	{}
	{0pt} 
	{\colorsection}
\titlespacing{\section}{0pt}{0.1ex}{0.1ex}

\newcommand{\colorsection}[1]{%
	\colorbox{darkgreen!40}{\parbox{0.99\linewidth}{\color{black}\thesection\ #1}}}
	
\titlespacing*{\section}
{0ex}{0pt}{0pt}

\titleformat{\subsection}[block]
	{\normalfont\LARGE\bfseries}
	{}
	{0pt}
	{\colorsubsection}
\titlespacing*{\subsection}{0pt}{0.1ex}{0.1ex}

\newcommand{\colorsubsection}[1]{%
	\colorbox{green!40}{\parbox{0.99\linewidth}{\color{black}\thesubsection\ #1}}}

\titleformat{\subsubsection}[block]
	{\normalfont\bfseries}
	{}
	{0pt}
	{\colorsubsubsection}
\titlespacing*{\subsubsection}{0pt}{0.1ex}{0.1ex}
 
\newcommand{\colorsubsubsection}[1]{%
	\colorbox{lightgreen!40}{\parbox{0.99\linewidth}{\color{black}\thesubsubsection\ #1}}}